Package com.emc.d2fs.models.signedconfigtype

# Class SignedConfigType

java.lang.Object
com.emc.d2fs.models.signedconfigtype.SignedConfigType

All Implemented Interfaces:
  `Serializable`

public class SignedConfigType extends Object implements Serializable

Java class for SignedConfigType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignedConfigType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="Config" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
             <element name="Signature" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignedConfigType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getConfig()`
  Gets the value of the config property.
  `String`
  `getSignature()`
  Gets the value of the signature property.
  `void`
  `setConfig(Object value)`
  Sets the value of the config property.
  `void`
  `setSignature(String value)`
  Sets the value of the signature property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignedConfigType

    public SignedConfigType()

- ## Method Details

  - ### getConfig

    public Object getConfig()
    Gets the value of the config property.
    Returns:
      possible object is `Object`

  - ### setConfig

    public void setConfig(Object value)
    Sets the value of the config property.
    Parameters:
      `value` - allowed object is `Object`

  - ### getSignature

    public String getSignature()
    Gets the value of the signature property.
    Returns:
      possible object is `String`

  - ### setSignature

    public void setSignature(String value)
    Sets the value of the signature property.
    Parameters:
      `value` - allowed object is `String`